ScalarQuantizedVectorScorer.ScalarQuantizedRandomVectorScorerSupplier (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.codecs.hnsw, class: ScalarQuantizedVectorScorer, class: ScalarQuantizedRandomVectorScorerSupplier

Package org.apache.lucene.codecs.hnsw

# Class ScalarQuantizedVectorScorer.ScalarQuantizedRandomVectorScorerSupplier

java.lang.Object
org.apache.lucene.codecs.hnsw.ScalarQuantizedVectorScorer.ScalarQuantizedRandomVectorScorerSupplier

All Implemented Interfaces:
  `RandomVectorScorerSupplier`

Enclosing class:
  `ScalarQuantizedVectorScorer`

public static class ScalarQuantizedVectorScorer.ScalarQuantizedRandomVectorScorerSupplier extends Object implements RandomVectorScorerSupplier
Quantized vector scorer supplier

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScalarQuantizedRandomVectorScorerSupplier(VectorSimilarityFunction similarityFunction, ScalarQuantizer scalarQuantizer, LegacyQuantizedByteVectorValues values)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RandomVectorScorerSupplier`
  `copy()`
  Make a copy of the supplier, which will copy the underlying vectorValues so the copy is safe to be used in other threads.
  `UpdateableRandomVectorScorer`
  `scorer()`
  This creates a `UpdateableRandomVectorScorer` for scoring random nodes in batches against an ordinal.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScalarQuantizedRandomVectorScorerSupplier

    public ScalarQuantizedRandomVectorScorerSupplier(VectorSimilarityFunction similarityFunction, ScalarQuantizer scalarQuantizer, LegacyQuantizedByteVectorValues values)

- ## Method Details

  - ### scorer

    public UpdateableRandomVectorScorer scorer() throws IOException
    Description copied from interface: `RandomVectorScorerSupplier`
    This creates a `UpdateableRandomVectorScorer` for scoring random nodes in batches against an ordinal.
    Specified by:
      `scorer` in interface `RandomVectorScorerSupplier`
    Returns:
      a new `UpdateableRandomVectorScorer`
    Throws:
      `IOException`

  - ### copy

    public RandomVectorScorerSupplier copy() throws IOException
    Description copied from interface: `RandomVectorScorerSupplier`
    Make a copy of the supplier, which will copy the underlying vectorValues so the copy is safe to be used in other threads.
    Specified by:
      `copy` in interface `RandomVectorScorerSupplier`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`